summaryrefslogtreecommitdiffstats
path: root/jjb/csit
diff options
context:
space:
mode:
authorAndrew Grimberg <agrimberg@linuxfoundation.org>2016-01-08 11:22:08 -0800
committerAndrew Grimberg <agrimberg@linuxfoundation.org>2016-01-08 11:22:08 -0800
commit94ce73971326e5ff2c1f48d9e07a7306b9a9d2a0 (patch)
tree770751fbd3c867355e8e37b6231b71bc027f16bf /jjb/csit
parent3f53526a829ca206176c6f8498f353bb3fca8384 (diff)
Setup csit job to do verify
Setup the csit job to do verify and execute ./bootstrap.sh if it exists. It will fail the job if it does not exist Change-Id: Ie5f776009f6079693d452b299c3bc185451550ac Signed-off-by: Andrew Grimberg <agrimberg@linuxfoundation.org>
Diffstat (limited to 'jjb/csit')
-rw-r--r--jjb/csit/csit-vpp-bridge-domain.yaml4
-rw-r--r--jjb/csit/include-raw-csit-build.sh19
2 files changed, 15 insertions, 8 deletions
diff --git a/jjb/csit/csit-vpp-bridge-domain.yaml b/jjb/csit/csit-vpp-bridge-domain.yaml
index a1033cc7b..7795723fe 100644
--- a/jjb/csit/csit-vpp-bridge-domain.yaml
+++ b/jjb/csit/csit-vpp-bridge-domain.yaml
@@ -31,8 +31,8 @@
scm:
- gerrit-trigger-scm:
credentials-id: '{ssh-credentials}'
- refspec: ''
- choosing-strategy: 'default'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
wrappers:
- ssh-agent-credentials:
diff --git a/jjb/csit/include-raw-csit-build.sh b/jjb/csit/include-raw-csit-build.sh
index cf5a76ea6..ce7b58e9d 100644
--- a/jjb/csit/include-raw-csit-build.sh
+++ b/jjb/csit/include-raw-csit-build.sh
@@ -1,8 +1,15 @@
#!/bin/bash
-# basic build script example
-# do nothing but print the current slave hostname
-git clone ssh://rotterdam-jobbuilder@gerrit.projectrotterdam.info:29418/vpp.git
-cd vpp/build-root/
-./bootstrap.sh
-make PLATFORM=vpp TAG=vpp_debug install-deb
+# execute csit bootstrap script if it exists
+if [ -e bootstrap.sh ]
+then
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap.sh
+ # run the script
+ ./bootstrap.sh
+else
+ echo 'ERROR: No bootstrap.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :